%define modname timezonedb
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A60_%{modname}.ini

# (tpg) define release here

Summary:	Timezone Database to be used with PHP's date and time functions
Name:		php-%{modname}
Version:	2015.7
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/timezonedb/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.4.3
BuildRequires:	file
Epoch:		3


%description
This extension is a drop-in replacement for the builtin timezone database that
comes with PHP. You should only install this extension in case you need to get
a later version of the timezone database than the one that ships with PHP.

The data that this extension uses comes from the "Olson" database, which is
located at ftp://elsie.nci.nih.gov/pub/.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Oct 29 2015 luigiwalser <luigiwalser> 3:2015.7-1.mga5
+ Revision: 896460
- 2015.7 (2015g)
- 2015.6.1
- 2015.6 (2015f)

* Mon May 04 2015 luigiwalser <luigiwalser> 3:2015.4-1.mga5
+ Revision: 821243
- 2015.4 (2015d)

* Fri Apr 17 2015 luigiwalser <luigiwalser> 3:2015.3-1.mga5
+ Revision: 820379
- 2015.3 (2015c)

* Wed Apr 08 2015 luigiwalser <luigiwalser> 3:2015.2-1.mga5
+ Revision: 819930
- 2015.2 (2015b)

* Fri Feb 13 2015 luigiwalser <luigiwalser> 3:2015.1-1.mga5
+ Revision: 814861
- 2015.1 (2015a)

* Thu Nov 20 2014 luigiwalser <luigiwalser> 3:2014.10-1.mga5
+ Revision: 798023
- 2014.10 (2014j)

* Fri Oct 31 2014 luigiwalser <luigiwalser> 3:2014.9-1.mga5
+ Revision: 795028
- 2014.9 (2014i)

* Wed Oct 15 2014 umeabot <umeabot> 3:2014.8-2.mga5
+ Revision: 745442
- Second Mageia 5 Mass Rebuild

  + luigiwalser <luigiwalser>
    - 2014.8 (2014h)

* Tue Sep 16 2014 umeabot <umeabot> 3:2014.7-2.mga5
+ Revision: 687554
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 3:2014.7-1.mga5
+ Revision: 674250
- 2014.7 (2014g)

* Sun Aug 17 2014 luigiwalser <luigiwalser> 3:2014.6-1.mga5
+ Revision: 664550
- 2014.6 (2014f)

* Mon Jun 23 2014 luigiwalser <luigiwalser> 3:2014.5-1.mga5
+ Revision: 639125
- 2014.5 (2014e)

* Wed May 14 2014 oden <oden> 3:2014.3-1.mga5
+ Revision: 622736
- 2014.3 (2014c)

* Fri Apr 18 2014 oden <oden> 3:2014.2-2.mga5
+ Revision: 616591
- rebuilt for php-5.6.0beta1

* Fri Apr 04 2014 luigiwalser <luigiwalser> 3:2014.2-1.mga5
+ Revision: 611740
- 2014.2 (2014b)

* Wed Mar 19 2014 oden <oden> 3:2014.1-1.mga5
+ Revision: 605603
- 2014.1 (2014a)

* Sat Feb 15 2014 luigiwalser <luigiwalser> 3:2013.9-1.mga5
+ Revision: 591471
- 2013.9

* Fri Jan 24 2014 pterjan <pterjan> 3:2013.8-2.mga4
+ Revision: 567672
- Rebuild for new PHP

* Tue Nov 12 2013 oden <oden> 3:2013.8-1.mga4
+ Revision: 550759
- 2013.8 (2013h)

* Fri Oct 25 2013 oden <oden> 3:2013.7-1.mga4
+ Revision: 546837
- 2013.7

* Mon Oct 21 2013 umeabot <umeabot> 3:2013.6-2.mga4
+ Revision: 538421
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 oden <oden> 3:2013.6-1.mga4
+ Revision: 489588
- 2013.6

* Thu Jul 11 2013 oden <oden> 3:2013.4-1.mga4
+ Revision: 452995
- 2013.4

* Thu Jun 13 2013 oden <oden> 3:2013.3-2.mga4
+ Revision: 442709
- rebuilt for php-5.5.0RC3
- 2013.3

* Fri Mar 15 2013 oden <oden> 3:2013.2-1.mga3
+ Revision: 403263
- 2013.2

* Wed Jan 30 2013 oden <oden> 3:2012.10-5.mga3
+ Revision: 393337
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 3:2012.10-4.mga3
+ Revision: 377611
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 3:2012.10-3.mga3
+ Revision: 345780
- Rebuild for PHP NTS again

* Sun Jan 06 2013 spuhler <spuhler> 3:2012.10-2.mga3
+ Revision: 340022
- rebuit with php TS

* Thu Nov 22 2012 oden <oden> 3:2012.10-1.mga3
+ Revision: 320695
- 2012.10

* Fri Oct 19 2012 fwang <fwang> 3:2012.7-1.mga3
+ Revision: 308281
- new version 2012.7

* Mon Sep 17 2012 oden <oden> 3:2012.6-1.mga3
+ Revision: 295418
- 2012.6

* Wed Sep 12 2012 oden <oden> 3:2012.5-1.mga3
+ Revision: 292903
- new version

* Tue Jul 24 2012 luigiwalser <luigiwalser> 3:2012.4-2.mga3
+ Revision: 274089
- 2012.4

* Sun Jul 15 2012 spuhler <spuhler> 3:2012.3-2.mga3
+ Revision: 270853
- Rebuilt for php-5.4

* Thu May 03 2012 luigiwalser <luigiwalser> 3:2012.3-1.mga2
+ Revision: 234678
- 2012.3

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3:2011.14-2.mga2
+ Revision: 223944
- httpd restart is handled by filetriggers now

* Fri Dec 02 2011 spuhler <spuhler> 3:2011.14-1.mga2
+ Revision: 175056
- upgrade to 2011.14

* Sun Apr 17 2011 pterjan <pterjan> 3:2011.5-1.mga1
+ Revision: 87299
- Update to 2011.5

* Fri Jan 14 2011 dmorgan <dmorgan> 3:2010.15-5.mga1
+ Revision: 17983
- Do not hardcode mageia
- fix release

  + spuhler <spuhler>
    - imported package php-timezonedb

